### Function

# Gimp palettes_get_list

#### Declaration [src]

    gchar**
    gimp_palettes_get_list (
      const gchar* filter
    )

#### Description [src]

Retrieves a list of all of the available palettes

This procedure returns a complete listing of available palettes. Each name returned can be used as input to the command gimp_context_set_palette().

#### Parameters

`filter` | `const gchar*`
| An optional regular expression used to filter the list.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | An array of `utf8`

         The list of palette names.
         The returned value must be freed with g_strfreev().

| The array is `NULL`-terminated.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.